# Uses of Class
net.shibboleth.idp.authn.principal.UsernamePrincipal

Packages that use UsernamePrincipal
Package
Description
net.shibboleth.idp.authn.impl
Implementation of various authentication actions.
net.shibboleth.idp.authn.principal
Classes supporting Java `Principal` usage.

## Uses of UsernamePrincipal in net.shibboleth.idp.authn.impl

Methods in net.shibboleth.idp.authn.impl that return UsernamePrincipal
Modifier and Type
Method
Description
`private UsernamePrincipal`
SimpleSubjectCanonicalization.`getUsernamePrincipal(SubjectCanonicalizationContext c14nContext)`
Helper method that returns the first and only `UsernamePrincipal`, returning null otherwise.

## Uses of UsernamePrincipal in net.shibboleth.idp.authn.principal

Methods in net.shibboleth.idp.authn.principal that return UsernamePrincipal
Modifier and Type
Method
Description
`UsernamePrincipal`
UsernamePrincipal.`clone()`
Creates and returns a copy of this object.